* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family:"Playfair Display", serif;
}


header {
    padding: 20px 30px;
    align-items:flex-start;
    justify-content: center;
    }

.page_hero {
    display: grid;
    grid-template-columns: 1fr 1fr;
    background-image: url("images/bg for Sarah grooming site.webp");
    background-size: cover;
    background-repeat: no-repeat;
    padding-top: 0px;
    align-items: center;
    min-height: 100vh;
    position: relative;
    overflow: hidden;
    
}

.page_hero::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(
        to bottom,
        rgba(255,255,255,0.95) 0%,
        rgba(255,255,255,0.8) 20%,
        rgba(255,255,255,0.3) 45%,
        rgba(255,255,255,0) 65%
    );
    z-index: 1;
    pointer-events: none;
}

.hero_text,
.peggy_image_hero {
    position: relative;
    z-index: 2;
}



.navigation_container {
    display: grid;
    grid-template-columns: 0.3fr 1fr;
    box-shadow: 0px 5px 40px rgba(0, 0,0, 0.4);
    margin: 0;
    padding: 0;
    width: 100%;
    position: fixed;
    z-index: 1000;
    
}

.logo_container img {
    width: 200px;
    height: 90px;
    display: block;
    margin: 0;
    padding-left: 0px;
    position: relative;
    top: 0px;

}

.burger {
    display: none;
}

.navigation_buttons {
    display: flex;
    flex-direction: row;
    gap: 70px;
    justify-content: start;
    align-items: center;

}

.navigation_buttons a {
    text-decoration: none;
    font-size: 1.2rem;
    color: #222222;
    font-weight: 600;

}

.navigation_buttons a:nth-child(5) {
   
    background: #EF818F;
    border-radius: 20px;
    border: 2px solid black;
    padding: 10px;
    color: white;

}

.navigation_buttons a:hover {
    transform: scale(1.05);
}

.hero img {
    position: relative;
}

.hero_text {
    display: flex;
    align-items: left;
    justify-items: left;
    flex-direction: column;
    padding-bottom: 0px;
    padding-left: 20px;
}

.hero_text h1 {
    font-size: 3rem;
    padding-bottom: 30px;
}

.hero_text h2 {
    padding-bottom: 30px;

}

.hero_text h3 {
    font-size: 1.5rem;
    padding-bottom: 20px;
}

.hero_text a {
    text-decoration: none;
    background: #EF818F;
    border-radius: 20px;
    border: 2px solid black;
    padding: 10px;
    margin-left: 0px;
    color: white;
    width: fit-content;
    text-align: left;
    font-size: 2rem;
}

.hero_text a:hover {
    transform: scale(1.03);

}

.peggy_image_hero img{
    display: block;
    width: 600px;
    padding-left: 250px;
    height: auto;
}

.peggy_image_hero {
    display: flex;
    justify-content: center;
    padding-top: 90px;
}



#Services {
    min-height: 75vh;
    background-color: #f1efed;
}

.Services_container {
    position: relative;
    display: flex;
    justify-content: start;
    flex-direction: column;
    align-items: center;
    height: 200px;
}


.Services_container img {
    display: block;
    padding-top: 10px;
    width: 200px;
    height: auto;
    margin: 0 auto;

}

.Services_container h1 {
    z-index: 2;
    font-size: 2rem;
    padding-top: px;
}

.Services_container h2 {
    z-index: 2;
    font-size: 1.5rem;
    font-weight: 300;
    padding-top: 50px;
}

.Service_cards {
    display: grid;
    grid-template-columns: repeat(4, 300px);
    gap: 40px;
    justify-content: center;
    padding-bottom: 80px;
}

.Service_card {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    text-align: center;
    background-color: white;
    height: auto;
    padding: 20px 30px;
    border-radius: 10px;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.12);
}

.Service_card img {
    width: 200px;
    height: auto;
    padding-bottom: 10px;
}

.Service_card h2 {
    font-size: 2rem;
    padding-bottom: 10px;

}

.Service_card h3 {
    font-size: 1.5rem;
    font-weight: 300;
    padding-bottom: 10px;
}

.Service_card:nth-child(4) img {
    padding-top: 0px;
}


#Gallery {

}

.gallery_container {
    display: flex;
    justify-content: center;
    text-align: center;
    width: 100%;
    flex-direction: column;
    
}

.gallery_text h2 {
    padding-bottom: 50px;
    font-size: 2rem;
}

.gallery_text h3 {
    padding-top: 50px;
    font-size: 1.5rem;
    font-weight: 400;
}

.gallery_photos {
    position: relative;
    display: grid;
    grid-template-columns: repeat(2,520px);
    margin: 0 auto;
    gap: 20px;
}

.gallery_photo {
    position: relative;
    padding-bottom: 50px;
}

.gallery_photo h1 {
    position: absolute;
    top: 0px;
    left: 0px;
    font-size: 2rem;
    color: white;
    background-color:  #EF818F;
    padding: 10px;
    border-radius: 30px;
}

.gallery_photo img {
    display: block;
    width: 520px;
    height: 520px;
    border-radius: 30px;
    border: 6px solid #EF818F;
    box-shadow: 0 10px 20px 0 #EF818F(0, 0, 0.6);
}

.arrow_icon {
    position: absolute;
    width: 250px;
    top: 30%;
    left: 38%;
    z-index: 5;
    
    
}



@media (max-width: 768px) {
    .burger {
        display: block;  
        font-size: 2rem; 
        border: 0;
        background-color: white;
        padding-left: 190px;
           
    }

    .burger.active::before {
        position: absolute;
        font-size: 2rem;
    }

    .page_hero {
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center 100%;
    min-height: 900px;
    display: flex;
    align-items: center;
    padding-top: 0px;
    padding-bottom: 0px;
    }

    .navigation_container {
        box-shadow: white;
    }

    .logo_container {
        background-color: white;
    }

    .navigation_container img {
        width: 130px;
        height: auto;
        position: relative;
        transform: translate(50px);
        background-color: white;
    }

    .navigation_buttons {
        display: none;
        display: flex;
        flex-direction: column;
        position: absolute;
        justify-content: center;
        right: 0;
        top: 80px;
        background: white;
        width: 100%;
        padding: 10px;
        transform: translateX(100%); 
        transition: transform 0.3s ease;
        gap: 20px;
    }

    .navigation_buttons a {
        font-size: 1rem;
        gap: 10px;
    }

    .navigation_buttons a:nth-child(5) {
    background: #D46A7E;
    border-radius: 20px;
    border: 2px solid #222222;
    padding: 10px;
    margin-left: 0px;

    }

    .navigation_buttons.active {
        transform: translate(0);
    }

    .hero_text {
        padding-right: 0px;
        text-align: left;
        padding-top: 0px;
        padding-left: 45px;
        max-width: 400px;
    }

    .peggy_image_hero img{
    display: block;
    width: 325px;
    padding-left: 50px;
    height: auto;
    padding-top: 150px;
}

.peggy_image_hero {
    display: flex;
    justify-content: center;
    padding-top: 0px;
}


    .page_hero h1 {
        font-size: 2rem;
        padding-bottom: 20px;
    }

    .page_hero h2 {
        font-size: 1.2rem;
        padding-bottom: 20px;
    }

    .hero_text h3 {
    font-size: 1.2rem;
    padding-bottom: 20px;
}
    .hero_text a {
    text-decoration: none;
    background: #D46A7E;
    border-radius: 10px;
    border: 2px solid #2d2d2d;
    padding: 5px;
    margin-top: 0px;
    margin-left: 0px;
    color: white;
    width: fit-content;
    font-size: 1rem;

    }

.Service_cards {
    display: flex;
    flex-direction: column;
    width: 500px;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
}

.gallery_photos {
    position: relative;
    display: grid;
    grid-template-columns: repeat(2,220px);
    margin: 0 auto;
    gap: 20px;
}

.gallery_photo {
    position: relative;
    padding-bottom: 20px;
    padding-top: 20px;
}

.gallery_photo h1 {
    position: absolute;
    top: 20px;
    left: 0px;
    font-size: 1rem;
    color: white;
    background-color:  #EF818F;
    padding: 10px;
    border-radius: 30px;
}

.gallery_photo img {
    display: block;
    width: 220px;
    height: 220px;
    border-radius: 30px;
    border: 2px solid grey;
    box-shadow: 0 10px 20px 0 #EF818F(0, 0, 0.6);
}

.arrow_icon {
    position: absolute;
    width: 200px;
    top: 23%;
    left: 28%;
    z-index: 5;
}


}
@media (max-width: 430px) {
    .logo_container img {
        width: 120px;
        padding-left: 50px;
    }

    .burger {
        font-size: 2rem;
        padding-left: 60px;
    }

    .navigation_buttons {
        top: 40px;
    } 

    .navigation_buttons a {
        font-size: 1rem;
    
    }

    .navigation_buttons a:nth-child(5) {
    background: #D46A7E;
    border-radius: 20px;
    border: 2px solid #222222;
    padding: 10px;
    margin-left: 10px;

    }
   


    .page_hero {
        display: grid;
        padding-top: 0;
        grid-template-columns: 1fr;
        background-position: right 20%;
        background-repeat: no-repeat;
        background-size: cover;
        height: 0vh;
    }

    .hero_text {
        display: flex;
        text-align: left;
        padding-top: 0;
        margin-left: 0px;
        padding: 0;
        width: 100%;
        padding-left: 50px;
    }


    .page_hero h1 {
        padding-top: 90px;
        padding-left: 50px;
        display: flex;
        justify-content: center;
        font-size: 1.8rem;
        text-align: left;
        font-weight: 700;
        width: 100%;
        margin-left: 0px;

        
    }

    .page_hero h2 {
        display: flex;
        padding-left:40px;
        justify-content: center;
        font-size: 1rem;
        text-align: left;
        padding-bottom: 20px;
        width: 100%;
        font-weight: 800;
        margin-left: 10px;
        padding-top: 0;
    }

    .hero_text h3 {
    font-size: 1.2rem;
    padding-bottom: 20px;
    padding-left: 50px;
}

    .navigation_container img {
        width: 120px;
        height: auto;
        position: relative;
        transform: translate(-20px);
    }
    

    .about_container img {
        display: block;
        width: 350px;
        height: auto;
        border-radius: 30px;
        align-items: center;
    }

     .peggy_image_hero {
        display: flex;
        padding-right: 50px;
        align-items: end;
     }
    
    .peggy_image_hero img{
        display: block;
        width: 440px;
        height: auto;
        
        -webkit-mask-image: linear-gradient(
            to bottom,
            black 0%,
            black 80%,
            transparent 50%,
            transparent 100%
        );

        mask-image: linear-gradient(
            to bottom,
            black 0%,
            black 80%,
            transparent 50%,
            transparent 100%
        );
    }

    .page_hero::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(
        to bottom,
        rgba(255,255,255,0.95) 0%,
        rgba(255,255,255,0.8) 30%,
        rgba(255,255,255,0.3) 45%,
        rgba(255,255,255,0) 65%
    );
    z-index: 1;
    pointer-events: none;
}

    .hero_text,
    .peggy_image_hero {
        position: relative;
        z-index: 2;
    }

    .peggy_image_hero {
        display: flex;
        justify-content: flex-start;
        align-items: flex-start;
        padding-left: 0px;
        padding-top: 0px;
    }

    .peggy_image_hero img {
        padding-top: 100px;
        width: 350px
    }

    .hero_text a{
        font-size: 1.5rem;
        
    }

    .hero_text h1 {
        padding-left: 0;
    }

    .hero_text h2 {
        padding-left: 0;
        margin: 0;
    }

    .hero_text h3 {
        padding-left: 0;
        padding-bottom: 40px;
    }

    .Service_cards {
        width: 150px;
        height: auto;
    }

    .Service_cards h2 {
        font-size: 1.5rem;
    }

    .Service_cards h3 {
        font-size: 1rem;

    }

    .gallery_text h2 {
        font-size: 1.5rem;
    }


    .gallery_photos {
        display: flex;
        gap: 30px;

        width: 280px;
        height: auto;
        margin-right: 30px;

        overflow-x: scroll;
        scroll-snap-type: x mandatory;
        -webkit-overflow-scrolling: touch;
        scroll-padding-left: 0px;
    }

    .gallery_photo {
        position: relative;
        min-width: 220px;
        cursor: pointer;
        scroll-snap-align: center;
    }

    .gallery_photo img {
        width: 220px;
        height: 300px;
        object-fit: cover;
    }


    .arrow_icon {
        display: none;
    }

        
    .gallery_progress {
    width: 90px;
    height: 20px;
    background: #ddd;
    border-radius: 20px;
    margin: 0px auto 0;
    overflow: hidden;
    }

    .progress_bar {
    display: block;
    width: 50%;
    height: 100%;
    background: #EF818F;
    border-radius: 20px;
    transform: translateX(0);
    }



}